Skip to main content
Resource Center/Hardware/Host Operations/PCI Device Operations
GETPCI Device OperationsSince 3.5.0SynchronousAuth Required

QueryPciDeviceSpec

QueryPciDeviceSpec

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • vendorIdStringRequired

      The vendor ID.

    • deviceIdStringRequired

      The device ID.

    • subvendorIdStringRequired

      The sub-vendor ID.

    • subdeviceIdStringRequired

      The sub-device ID.

    • ramSizeStringRequired

      The RAM size.

    • maxPartNumIntegerRequired

      The maximum number of virtual functions.

    • isVirtualBooleanRequired

      Whether the device is a virtual device.

    • romVersionStringRequired

      The ROM version.

    • romMd5sumStringRequired

      The ROM MD5 checksum.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • typePciDeviceTypeRequired

      See type.

      • GPU_Video_ControllerPciDeviceTypeRequired

        The GPU video controller.

      • GPU_Audio_ControllerPciDeviceTypeRequired

        The GPU audio controller.

      • GPU_3D_ControllerPciDeviceTypeRequired

        The GPU 3D controller.

      • Moxa_DevicePciDeviceTypeRequired

        The MOXA card.

      • GenericPciDeviceTypeRequired

        The general device.

    • statePciDeviceSpecStateRequired

      See state.

      • EnabledPciDeviceSpecStateRequired

        The PCI device is enabled.

      • DisabledPciDeviceSpecStateRequired

        The PCI device is disabled.

Endpoint

GET/zstack/v1/pci-device-specs

/zstack/v1/pci-device-specs

Operation ID

QueryPciDeviceSpec

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/pci-device-specs' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "4e583459b0bb4a8085f2acf4040ab802", "name": "MSI_GTX1060", "description": "NVIDIA Corporation, GP106 [GeForce GTX 1060 6GB], a1, VGA compatible controller", "vendorId": "10de", "deviceId": "1c03", "subvendorId": "1462", "subdeviceId": "3283", "type": "GPU_Video_Controller", "state": "Enabled", "romVersion": "86.06.0E.00.28", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history